%define upstream_name Sentinel
%define upstream_version 0.05

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 8
Summary:        Create lightweight SCALARs with get/set callbacks
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz
Group:		Development/Perl

BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Refcount)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl-devel

Requires:       perl(XSLoader)

%{?perl_default_filter}

%description
This module provides a single lvalue function, sentinel, which yields a
scalar that invoke callbacks to get or set its value. Primarily this is
useful to create lvalue object accessors or other functions, to invoke
actual code when a new value is set, rather than simply updating a
scalar variable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README LICENSE
%{perl_vendorarch}/auto/Sentinel
%{perl_vendorarch}/Sentinel*
%{_mandir}/man3/Sentinel*


%changelog
* Sat Jul 18 2020 tv <tv> 0.50.0-8.mga8
+ Revision: 1606996
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-7.mga8
+ Revision: 1508392
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-6.mga7
+ Revision: 1293753
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-5.mga7
+ Revision: 1249263
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.50.0-4.mga7
+ Revision: 1166461
- rebuild with fixed rpm for missing autodeps

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga7
+ Revision: 1033029
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 957954
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 855437
- Update spec

* Fri Jun 26 2015 tv <tv> 0.05-4.mga6
+ Revision: 845249
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.05-3.mga6
+ Revision: 841707
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.05-2.mga5
+ Revision: 742948
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 jquelin <jquelin> 0.05-1.mga5
+ Revision: 735084
- adding missing buildrequires:
+ tv <tv>
- imported package perl-Sentinel

